System & Device Requirements

How Can We Help?
You are here:
Print
What are the requirements for running CoReceptionist on devices?

System & Device Requirements 1

  • To run the CoReceptionist on your iPad your iPad must be running on iOS 9.0 to the latest. 
  • You will be able to run CoReceptionist on Android / IOs tablets.

System & Device Requirements 2

About the CoReceptionist website, we support the use of well-known browsers such as Google Chrome, Firefox, Microsoft Edge, and Safari. CoReceptionist website makes sure that it is bug-free to run on Internet Explorer 10 and later.

For other queries, custom solutions and help give us a call on +1 508-921-0143‬

Previous Register Your Device on the Web
Table of Contents